Subject: bug#40109: 27.0.90; simple-delete-trailing-whitespace--bug-21766 fails if Git isn't installed

From: Philipp Stephani <[email-masked]>
Date: Thu, 28 Jan 2021 10:05:00 +0100

Am Do., 28. Jan. 2021 um 09:46 Uhr schrieb Lars Ingebrigtsen <[email-masked]>:
>
>
> > Ah, the problem is that with-demoted-errors uses
> > condition-case-unless-debug.  More minimal example:
> >
> > $ emacs -Q -batch -eval '(let ((debug-on-error t)) (ignore-errors
> > (with-demoted-errors "%S" (error "foo"))))'
> > Debugger entered--Lisp error: (error "foo")
> > […]
> >
> > I think this behavior is very confusing. Both version.el and
> > trampver.el try to do the right thing, but that breaks in such a
> > situation.
>
> It is somewhat confusing, yes, but it's also pretty convenient in some
> circumstances.

But not when running unit tests.

>
> In any case, are you still seeing the reported test problem?

I also can't reproduce this any more, but the root cause (ERT binding
`debug-on-error' to t) is still there, so I think we're just lucky
that this doesn't happen any more for this specific test.
I guess this bug can be closed, but we should really make some
progress on https://debbugs.gnu.org/cgi/bugreport.cgi?bug=11218.